httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeff Trawick <traw...@attglobal.net>
Subject Re: MODULE_MAGIC_NUMBER_MAJOR complain
Date Tue, 18 Feb 2003 13:42:12 GMT
jean-frederic clere wrote:

> Hi,
>
> Would there be a way to get ride of the following problem:
> +++
> httpd: module "../../server/apache2/mod_jk2.c" is not compatible with
> this version of Apache (found 20020903, need 20030213).
> Please contact the vendor for the correct version.

That looks like a change to MMN between 2.0.41 and 2.1-dev.  Expect it.

> In include/ap_mmn.h we have:
> +++
>  * 20020612 (2.0.38-dev) Changed server_rec->[keep_alive_]timeout to apr
> time
>  * 20020625 (2.0.40-dev) Changed conn_rec->keepalive to an enumeration
>  * 20020628 (2.0.40-dev) Added filter_init to filter registration 
> functions
>  * 20020903 (2.0.41-dev) APR's error constants changed
> +++
>
> I understand very well that a module compiled for the 2.0.45 will not
> run on 2.0.39 but I am quite disappointed not to be able to run a module
> compiled in 2.0.39 in the 2.0.45.

It is a little bit late to complain about 2.0.39 modules not working 
with 2.0.41+.  At any rate, pain like this helped comfirm the need for a 
stable 2.0 tree to maintain without breaking module compatibility.


Mime
View raw message